## libdbix-recordset-perl 0.26

=== debian/changelog ===
libdbix-recordset-perl (0.26-5) unstable; urgency=medium

  * Add patch to fix warning with Perl 5.42. (Closes: #1113877)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Priority: optional», which is the current default.
  * Fix hashbang in example script.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Sep 2025 01:19:00 +0200

libdbix-recordset-perl (0.26-4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 13 Jun 2022 15:35:44 +0100

libdbix-recordset-perl (0.26-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 23:21:14 +0100

libdbix-recordset-perl (0.26-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add patch to fix "defined(%hash)" error. (Closes: #789157)
  * Add one more spelling fix to spelling.patch.
  * Update years of packaging copyright.
  * Update license stanzas in debian/copyright.
  * Bump debhelper compatibility level to 9.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Jun 2015 18:15:32 +0200

libdbix-recordset-perl (0.26-2) unstable; urgency=low

  [ Jonathan Yu ]
  * Bringing this package under the pkg-perl group (Closes: #543608)
  * Updated d/watch with CPAN search site
  * Standards-Version 3.8.3
    + Remove version dependency on perl
    + Add Vcs-* and Homepage fields

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * Add /me to Uploaders.
  * Set Standards-Version to 3.8.4 (no changes).
  * Debhelper 7.
  * Split out changes to upstream code into patches.
  * New patches: pod.patch, spelling.patch.
  * Convert to source format 3.0 (quilt).
  * debian/coypright: format according to DEP5, update packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Mar 2010 15:48:25 +0100

libdbix-recordset-perl (0.26-1) unstable; urgency=low

  * New upstream release. (Closes: #255664)
    - This version should work with perl 5.8.x
    - Deals with quoted table names (eg DBD::mysql), closes: #251452
    - (0.25 was mostly an upstream sync with the Debian patches)
  * Bump standards version to 3.6.1.

 -- Angus Lees <gus@debian.org>  Fri,  8 Oct 2004 19:21:49 +1000

libdbix-recordset-perl (0.24-7) unstable; urgency=low

  * Change section to "perl".
  * Apply upstream patch to improve PrevNextForm escaping with
    Embperl (v2).
  * Tell Compat.pm that Pg type '4' is numeric (Postgres 7.3).

 -- Angus Lees <gus@debian.org>  Tue, 19 Aug 2003 22:36:31 +1000

libdbix-recordset-perl (0.24-6) unstable; urgency=low

  * Build-Depend on libdbi-perl (closes: #167217)
  * Make DBIx::Intrors whatis-clean (thanks lintian)

 -- Angus Lees <gus@debian.org>  Fri,  1 Nov 2002 11:19:37 +1100

libdbix-recordset-perl (0.24-5) unstable; urgency=low

  * Fix incorrect MoreRecords comparison in PrevNextForm.
    (noticed by Andre Landwehr)

 -- Angus Lees <gus@debian.org>  Thu,  3 Oct 2002 11:49:17 +1000

libdbix-recordset-perl (0.24-4) unstable; urgency=low

  * Build package in binary-indep rather than binary-arch
    (closes: #157475)
  * Allow TableAttr's to set an attribute to a false value.
    (Thanks René Seindal)
  * Don't return a tied row from Next when TieRow=0 (closes: #133165)
    (Thanks René Seindal)
  * Remove *LastRecord "cache", fixing Next(), MoreRecords(), Next() bug.
  * Use *LastRecordFetch as the "row before the first" indicator.  This
    prevents Next() looping back to the start in some cases.
  * Call savecroak on *Recordset object, not $self.
  * Reorder a test to avoid `"" is not numeric' warning.
  * Change the way Makefile.PL interaction is avoided.
  * Fix incorrect use of DBI::SQL_* constants in test.pl.
  * Bump policy to 3.5.7 (no changes needed).

 -- Angus Lees <gus@debian.org>  Sat, 28 Sep 2002 17:20:44 +1000

libdbix-recordset-perl (0.24-3) unstable; urgency=low

  * Wrap a slightly longer than usual Description line. (closes: #130960)
   I do this under protest since:
  1. Policy says that the frontend must wrap long lines. There is nothing
     about the long description needing to conform to common screen
     widths. Assuming (or expecting) such is not following the documented
     file format and is a bug in the frontend.
  2. It makes extremely little difference to a human reading the "raw"
     package description. If you consider "apt-cache show" to be a
     frontend, then see (1).
  3. If a frontend is not correctly wrapping long lines, "manually"
     wrapping long lines will only hide the problem. If something is going

