=== debian/control ===
Source: libdbix-recordset-perl
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 gregor herrmann <gregoa@debian.org>,
Section: perl
Testsuite: autopkgtest-pkg-perl
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 libdbi-perl,
 perl,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdbix-recordset-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdbix-recordset-perl.git
Homepage: https://metacpan.org/release/DBIx-Recordset

Package: libdbix-recordset-perl
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libdbi-perl,
Description: Perl extension for DBI recordsets
 DBIx::Recordset is a perl module for abstraction and simplification of
 database access.
 .
 The goal is to make standard database access (select/insert/update/delete)
 easier to handle and independent of the underlying DBMS. Special attention is
 made on web applications to make it possible to handle the state-less access
 and to process the posted data of form fields, but DBIx::Recordset is not
 limited to web applications.
 .
 DBIx::Recordset uses the DBI API to access the database, so it should
 work with every database for which a DBD driver is available (see
 also DBIx::Compat).
 .
 Most public functions take a hash reference as parameter, which makes
 it simple to supply various different arguments to the same
 function. The parameter hash can also be taken from a hash containing
 posted form fields like those available with CGI.pm, mod_perl,
 HTML::Embperl and others.
