=== debian/watch ===
version=4
https://metacpan.org/release/DBIx-Recordset   .*/DBIx-Recordset-v?@ANY_VERSION@@ARCHIVE_EXT@$
